RNAPDIST(1)

NAME
RNApdist - manual page for RNApdist 2.4.17

SYNOPSIS
RNApdist [OPTION]...

DESCRIPTION
RNApdist 2.4.17

Calculate distances between thermodynamic RNA secondary structures ensembles

This program reads RNA sequences from stdin and calculates structure distances between the thermodynamic ensembles of their secondary structures.

To do this the partition function and matrix of base pairing probabilities is computed for each sequence. The probability matrix is then condensed into a vector holding for each base the probabilities of being unpaired, paired upstream, or paired downstream, respectively. These profiles are compared by a standard alignment algorithm. The base pair probabilities are also saved as postscript "dot plots" (as in RNAfold) in the files "name_dp.ps", where name is the name of the sequence, or a number if unnamed.

-h, --help
    Print help and exit

--detailed-help
    Print help, including all details and hidden options, and exit

--full-help
    Print help, including hidden options, and exit

-V, --version
    Print version and exit

  General Options:

--noconv
    Do not automatically substitude nucleotide "T" with "U"

    (default=off)

  Algorithms:

-X, --compare=p|m|f|c
    Specify the comparison directive. (default=`p')

    Possible arguments for this option are: -Xp compare the structures pairwise (p), i.e. first with 2nd, third with 4th etc. -Xm calculate the distance matrix between all structures. The output is formatted as a lower triangle matrix. -Xf compare each structure to the first one. -Xc compare continuously, that is i-th with (i+1)th structure.

-B, --backtrack[=<filename>]
    Print an "alignment" with gaps of the profiles. The aligned structures are written to <filename>, if specified.

    (default=`none')

    Within the profile output, the following symbols will be used:

()  essentially upstream (downstream) paired bases

{}  weakly upstream (downstream) paired bases

|   strongly paired bases without preference

,   weakly paired bases without preference

.   essentially unpaired bases.

    If <filename> is not specified, the output is written to stdout, unless the

    "-Xm" option is set in which case "backtrack.file" is used.

  Model Details:

-T, --temp=DOUBLE
    Rescale energy parameters to a temperature of temp C. Default is 37C.

-4, --noTetra
    Do not include special tabulated stabilizing energies for tri-, tetra- and hexaloop hairpins. Mostly for testing.

    (default=off)

-d, --dangles=INT
    set energy model for treatment of dangling bases

    (possible values="0", "2" default=`2')

--noLP
    Produce structures without lonely pairs (helices of length 1).

    (default=off)

    For partition function folding this only disallows pairs that can only occur isolated. Other pairs may still occasionally occur as helices of length 1.

--noGU
    Do not allow GU pairs

    (default=off)

--noClosingGU
    Do not allow GU pairs at the end of helices

    (default=off)

-P, --paramFile=paramfile
    Read energy parameters from paramfile, instead of using the default parameter set.

    Different sets of energy parameters for RNA and DNA should accompany your distribution. See the RNAlib documentation for details on the file format. When passing the placeholder file name "DNA", DNA parameters are loaded without the need to actually specify any input file.

--nsp=STRING
    Allow other pairs in addition to the usual AU,GC,and GU pairs.

    Its argument is a comma separated list of additionally allowed pairs. If the first character is a "-" then AB will imply that AB and BA are allowed pairs. e.g. RNAfold -nsp -GA will allow GA and AG pairs. Nonstandard pairs are given 0 stacking energy.

-e, --energyModel=INT
    Rarely used option to fold sequences from the artificial ABCD... alphabet, where A pairs B, C-D etc. Use the energy parameters for GC (-e 1) or AU (-e 2) pairs.

REFERENCES
If you use this program in your work you might want to cite: R. Lorenz, S.H. Bernhart, C. Hoener zu Siederdissen, H. Tafer, C. Flamm, P.F. Stadler and I.L. Hofacker (2011), "ViennaRNA Package 2.0", Algorithms for Molecular Biology: 6:26 I.L. Hofacker, W. Fontana, P.F. Stadler, S. Bonhoeffer, M. Tacker, P. Schuster (1994), "Fast Folding and Comparison of RNA Secondary Structures", Monatshefte f. Chemie: 125, pp 167-188 R. Lorenz, I.L. Hofacker, P.F. Stadler (2016), "RNA folding with hard and soft constraints", Algorithms for Molecular Biology 11:1 pp 1-13 S. Bonhoeffer, J.S. McCaskill, P.F. Stadler, P. Schuster (1993), "RNA multi-structure landscapes", Euro Biophys J:22, pp 13-24 The energy parameters are taken from: D.H. Mathews, M.D. Disney, D. Matthew, J.L. Childs, S.J. Schroeder, J. Susan, M. Zuker, D.H. Turner (2004), "Incorporating chemical modification constraints into a dynamic programming algorithm for prediction of RNA secondary structure", Proc. Natl. Acad. Sci. USA: 101, pp 7287-7292 D.H Turner, D.H. Mathews (2009), "NNDB: The nearest neighbor parameter database for predicting stability of nucleic acid secondary structure", Nucleic Acids Research: 38, pp 280-282

AUTHOR
Peter F Stadler, Ivo L Hofacker, Sebastian Bonhoeffer.

REPORTING BUGS
If in doubt our program is right, nature is at fault. Comments should be sent to rna@tbi.univie.ac.at.